## edu.msu.cme.rdp.classifier.readseqwrapper
Class ParsedSequenceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequenceTest

All Implemented Interfaces:
  junit.framework.Test

    public class ParsedSequenceTest

extends junit.framework.TestCase

A test class for ParsedSequence.

Constructor Summary
`ParsedSequenceTest(java.lang.String testName)`

Method Summary
`static void` `main(java.lang.String[] args)`
`static junit.framework.Test` `suite()`
`void` `testCreateWordIndexArr()` Test of createWordIndexArr method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.
`void` `testGetReversedSeq()` Test of getReversedSeq method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.
`void` `testGetReversedWord()` Test of getReversedWord method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.
`void` `testGetWordIndex()` Test of getWordIndex method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParsedSequenceTest

    public ParsedSequenceTest(java.lang.String testName)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static junit.framework.Test suite()

### testGetReversedSeq

    public void testGetReversedSeq()

  Test of getReversedSeq method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.

### testGetReversedWord

    public void testGetReversedWord()

  Test of getReversedWord method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.

### testGetWordIndex

    public void testGetWordIndex()

  Test of getWordIndex method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.

### testCreateWordIndexArr

    public void testCreateWordIndexArr()

  Test of createWordIndexArr method, of class edu.msu.cme.rdp.classifier.readseqwrapper.ParsedSequence.